<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yami.shop.distribution.comment.dao.DistributionRecruitSetMapper">
  <resultMap id="BaseResultMap" type="com.yami.shop.distribution.comment.model.DistributionRecruitSet">
    <id column="recruit_set_id" jdbcType="BIGINT" property="recruitSetId" />
    <result column="shop_id" jdbcType="BIGINT" property="shopId" />
    <result column="pic" jdbcType="VARCHAR" property="pic" />
    <result column="title" jdbcType="VARCHAR" property="title" />
    <result column="content" jdbcType="VARCHAR" property="content" />
    <result column="url" jdbcType="VARCHAR" property="url" />
    <result column="state" jdbcType="TINYINT" property="state" />
    <result column="update_time" jdbcType="TIMESTAMP" property="updateTime" />
    <result column="modifier" jdbcType="VARCHAR" property="modifier" />
  </resultMap>

  <!--<select id="getDistributionRecruitSetDtoByShopId" resultType="com.yami.shop.distribution.comment.dto.DistributionRecruitSetDto">-->
      <!--select-->
      <!--pic,-->
      <!--title,-->
      <!--content-->
      <!--from-->
      <!--tz_distribution_recruit_set-->
      <!--where shop_id =#{shopId}-->
      <!--and state = 1-->
  <!--</select>-->

  <!--<select id="getStateByShopId" resultType="integer">-->
      <!--select-->
      <!--state-->
      <!--from-->
      <!--tz_distribution_recruit_set-->
      <!--where shop_id =#{shopId}-->
  <!--</select>-->

</mapper>
